package com.ruoyi.market.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;
import java.time.LocalDateTime;


/**
 * 奖品库对象 market_award_library
 */

@Data
@TableName("market_award_library")
public class MarketAwardLibrary {

    private String id;

    @ApiModelProperty("奖品名称")
    private String awardName;

    @ApiModelProperty("奖品数量")
    private String awardNum;

    @ApiModelProperty("奖品图片")
    private String awardPhotoUrl;

    @ApiModelProperty("奖品类型")
    private Integer awardType;

    @ApiModelProperty("奖品属性")
    private String awardAttr;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("生效日期")
    private LocalDateTime effectiveDate;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("失效日期")
    private LocalDateTime expiryDate;

    @ApiModelProperty("是否删除")
    private String isDelete;

    @ApiModelProperty("奖品位置")
    @TableField(exist = false)
    private Integer pos;
}
